"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    sankeyChartClassNames: function() {
        return sankeyChartClassNames;
    },
    useSankeyChartStyles: function() {
        return useSankeyChartStyles;
    }
});
const _react = require("@griffel/react");
const sankeyChartClassNames = {
    root: 'fui-sc__root',
    nodes: 'fui-sc__nodes',
    links: 'fui-sc__links',
    nodeTextContainer: 'fui-sc__nodeTextContainer',
    toolTip: 'fui-sc__toolTip',
    chartWrapper: 'fui-sc__chartWrapper'
};
const useStyles = /*#__PURE__*/ (0, _react.__styles)({
    root: {
        Bahqtrf: "fk6fouc",
        Be2twd7: "fkhj508",
        Bhrd7zp: "figsok6",
        Bg96gwp: "f1i3iumi",
        mc9l5x: "f22iagw",
        a9b677: "fsr8r2d",
        Bqenvij: "f50j5g9",
        Beiy3e4: "f1vx9l62",
        B68tc82: 0,
        Bmxbyg5: 0,
        Bpg54ce: "f1a3p1vp"
    },
    links: {
        Bkfmm31: "f5q6cfr",
        Be5yapy: "fu2q8de",
        Bcjfw9x: "fxb03r3"
    },
    nodes: {
        Bkfmm31: "f1yc5x8p",
        Bcjfw9x: "fxb03r3"
    },
    toolTip: {
        Bahqtrf: "fk6fouc",
        Be2twd7: "fkhj508",
        Bhrd7zp: "figsok6",
        Bg96gwp: "f1i3iumi",
        mc9l5x: "f22iagw",
        Beiy3e4: "f1vx9l62",
        Byoj8tv: 0,
        uwmqm3: 0,
        z189sj: 0,
        z8tnut: 0,
        B0ocmuz: "f1t756mo",
        qhf8xq: "f1euv43f",
        fsow6f: "f17mccla",
        Bhzewxz: "f113wtx2",
        Bgh53k4: 0,
        B2eet1l: 0,
        De3pzq: 0,
        Bcmaq0h: 0,
        gk0gix: 0,
        B20660r: 0,
        B8a6bjv: 0,
        Bpptf2m: 0,
        e5kdtc: 0,
        Bkjc3bi: 0,
        ayd6f0: "fcm7iae",
        Beyfa6y: 0,
        Bbmb7ep: 0,
        Btl43ni: 0,
        B7oj6ja: 0,
        Dimara: "fl4tsp0",
        Bkecrkj: "f1aehjj5"
    },
    nodeTextContainer: {
        Dzfv0s: "f1ytiby9",
        B6of3ja: "fvjh0tl",
        Frg6f3: [
            "ff9s3yw",
            "f1phki43"
        ],
        jrapky: "fd1gkq",
        t21cq0: [
            "f1phki43",
            "ff9s3yw"
        ]
    },
    chartWrapper: {
        B68tc82: 0,
        Bmxbyg5: 0,
        Bpg54ce: "f1enuhaj"
    }
}, {
    d: [
        ".fk6fouc{font-family:var(--fontFamilyBase);}",
        ".fkhj508{font-size:var(--fontSizeBase300);}",
        ".figsok6{font-weight:var(--fontWeightRegular);}",
        ".f1i3iumi{line-height:var(--lineHeightBase300);}",
        ".f22iagw{display:flex;}",
        ".fsr8r2d{width:var(--root-width, 100%);}",
        ".f50j5g9{height:var(--root-height, 100%);}",
        ".f1vx9l62{flex-direction:column;}",
        [
            ".f1a3p1vp{overflow:hidden;}",
            {
                p: -1
            }
        ],
        ".f5q6cfr{fill:var(--colorNeutralBackground1);}",
        ".fu2q8de{stroke-width:3px;}",
        ".f1yc5x8p{fill:#F5F5F5;}",
        [
            ".f1t756mo{padding:8px;}",
            {
                p: -1
            }
        ],
        ".f1euv43f{position:absolute;}",
        ".f17mccla{text-align:center;}",
        ".f113wtx2{top:0px;}",
        [
            ".fcm7iae{background:var(--colorNeutralBackground1);}",
            {
                p: -2
            }
        ],
        [
            ".fl4tsp0{border-radius:2px;}",
            {
                p: -1
            }
        ],
        ".f1aehjj5{pointer-events:none;}",
        ".fvjh0tl{margin-top:4px;}",
        ".ff9s3yw{margin-left:8px;}",
        ".f1phki43{margin-right:8px;}",
        ".fd1gkq{margin-bottom:4px;}",
        [
            ".f1enuhaj{overflow:auto;}",
            {
                p: -1
            }
        ]
    ],
    m: [
        [
            "@media screen and (-ms-high-contrast: white-on-black),screen and (forced-colors: active) and (prefers-color-scheme: dark){.fxb03r3{fill:Canvas;}}",
            {
                m: "screen and (-ms-high-contrast: white-on-black), screen and (forced-colors: active) and (prefers-color-scheme: dark)"
            }
        ],
        [
            "@media screen and (-ms-high-contrast: white-on-black),screen and (forced-colors: active) and (prefers-color-scheme: dark){.f1ytiby9 text{fill:CanvasText;}}",
            {
                m: "screen and (-ms-high-contrast: white-on-black), screen and (forced-colors: active) and (prefers-color-scheme: dark)"
            }
        ]
    ]
});
const useSankeyChartStyles = (props)=>{
    const baseStyles = useStyles();
    return {
        root: (0, _react.mergeClasses)(sankeyChartClassNames.root, baseStyles.root /*, props.styles?.root*/ ),
        nodes: (0, _react.mergeClasses)(sankeyChartClassNames.nodes, baseStyles.nodes /*, props.styles?.nodes*/ ),
        links: (0, _react.mergeClasses)(sankeyChartClassNames.links, baseStyles.links /*, props.styles?.links*/ ),
        nodeTextContainer: (0, _react.mergeClasses)(sankeyChartClassNames.nodeTextContainer, baseStyles.nodeTextContainer /*, props.styles?.nodeTextContainer*/ ),
        toolTip: (0, _react.mergeClasses)(sankeyChartClassNames.toolTip, baseStyles.toolTip /*, props.styles?.toolTip*/ ),
        chartWrapper: (0, _react.mergeClasses)(sankeyChartClassNames.chartWrapper, props.enableReflow ? baseStyles.chartWrapper : '' /*, props.styles?.chartWrapper*/ )
    };
}; //# sourceMappingURL=useSankeyChartStyles.styles.js.map
